View Issue Details

IDProjectCategoryView StatusLast Update
0033366CommunityOCCT:Documentationpublic2023-04-23 17:05
Reportermsoulignac Assigned Tovglukhik  
PrioritynormalSeveritytext 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target VersionUnscheduled 
Summary0033366: Documentation - Add description of BRepAlgoAPI_Algo::Shape()
DescriptionIn BRepBuilderAPI_MakeShape, the method Shape() checks if the shape is built and raises an exception if not.

In BRepAlgoAPI_Algo, the method Shape() is overriden. In BRepAlgoAPI_Algo::Shape(), the shape is returned as is (without any check).

The problem is that the description of BRepAlgoAPI_Algo::Shape() is missing. So, the description of the base method, BRepBuilderAPI_MakeShape::Shape(), is used in the documentation.

In the documentation page of BRepAlgoAPI_Algo (https://dev.opencascade.org/doc/refman/html/class_b_rep_algo_a_p_i___algo.html), the description of Shape() is : "Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built", which can lead to unsafe uses.

To fix this, I propose to add a description above BRepAlgoAPI_Algo::Shape() that clearly indicates that the returned shape is not checked.
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case number

Activities

msoulignac

2023-04-17 16:38

reporter   ~0113385

Associated pull request : https://github.com/Open-Cascade-SAS/OCCT/pull/11

Just accept it to fix this ticket.

dpasukhi

2023-04-17 16:45

developer   ~0113386

Dear @msoulignac,
Thank you for your work.
Now, please add your SSH key into your account https://dev.opencascade.org/user/9216/gitkeys
And then push into gitolite@git.dev.opencascade.org:occt
And then I will approve your commit. Or if it not possible, I will push and mark you as an author. But it will be better if you will
    git clone gitolite@git.dev.opencascade.org:occt occt

msoulignac

2023-04-17 18:02

reporter   ~0113388

Dear @dpasukhi

Thanks for your answer.
I tried to add a key but I got the following error message : "You cant change this key"
Would'nt it be simpler to accept my PR or just add a comment yourself ?
Regards,
Michaël

dpasukhi

2023-04-17 18:06

developer   ~0113389

Ok, I will.
GitHub repo read only, I can't accept it. But I can load yout commit and push into our repo.

msoulignac

2023-04-18 09:05

reporter   ~0113390

Yes, I would be fine, thanks for all.

git

2023-04-19 14:18

administrator   ~0113396

Branch CR33366 has been created by dpasukhi.

SHA-1: 4f91c0c0bad29f0b13b26bb6478a69b4025f3f76


Detailed log of new commits:

Author: msmediasofts
Date: Tue Mar 28 11:25:14 2023 +0200

    0033366: Documentation - Add description of BRepAlgoAPI_Algo::Shape()
    
    Added description of BRepAlgoAPI_Algo::Shape()

dpasukhi

2023-04-19 14:19

developer   ~0113397

Dear bugmaster, please integrate.
OCCT: CR33366

It is just 2 lines comment update.

vglukhik

2023-04-23 17:03

administrator   ~0113405

OCCT branch : IR-2023-04-21
Products branch : IR-2023-03-17
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Ubuntu2004-64:
OCCT
Total CPU difference: 18355.18000000007 / 18292.42000000035 [+0.34%]
Products
Total CPU difference: 12171.56000000001 / 12038.590000000031 [+1.10%]
Windows-64-VC142:
OCCT
Total CPU difference: 20719.140625 / 20849.640625 [-0.63%]
Products
Total CPU difference: 5404.359375 / 5604.6875 [-3.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt: master 359edc7d

2023-03-28 09:25:14

msmediasofts


Committer: vglukhik Details Diff
0033366: Documentation - Add description of BRepAlgoAPI_Algo::Shape()

Added description of BRepAlgoAPI_Algo::Shape()
Affected Issues
0033366
mod - src/BRepAlgoAPI/BRepAlgoAPI_Algo.hxx Diff File

Issue History

Date Modified Username Field Change
2023-04-17 16:25 msoulignac New Issue
2023-04-17 16:25 msoulignac Assigned To => btokarev
2023-04-17 16:28 dpasukhi Severity minor => text
2023-04-17 16:28 dpasukhi Product Version => 7.7.0
2023-04-17 16:28 dpasukhi Target Version => Unscheduled
2023-04-17 16:28 dpasukhi Summary Add description of BRepAlgoAPI_Algo::Shape() => Documentation - Add description of BRepAlgoAPI_Algo::Shape()
2023-04-17 16:38 msoulignac Note Added: 0113385
2023-04-17 16:43 dpasukhi Assigned To btokarev => msorokin
2023-04-17 16:43 dpasukhi Status new => assigned
2023-04-17 16:45 dpasukhi Note Added: 0113386
2023-04-17 18:02 msoulignac Note Added: 0113388
2023-04-17 18:06 dpasukhi Note Added: 0113389
2023-04-17 18:06 dpasukhi Assigned To msorokin => dpasukhi
2023-04-18 09:05 msoulignac Note Added: 0113390
2023-04-19 14:18 git Note Added: 0113396
2023-04-19 14:18 dpasukhi Status assigned => resolved
2023-04-19 14:18 dpasukhi Steps to Reproduce Updated
2023-04-19 14:19 dpasukhi Assigned To dpasukhi => bugmaster
2023-04-19 14:19 dpasukhi Status resolved => reviewed
2023-04-19 14:19 dpasukhi Note Added: 0113397
2023-04-23 17:03 vglukhik Note Added: 0113405
2023-04-23 17:05 vglukhik Changeset attached => occt master 359edc7d
2023-04-23 17:05 vglukhik Assigned To bugmaster => vglukhik
2023-04-23 17:05 vglukhik Status reviewed => verified
2023-04-23 17:05 vglukhik Resolution open => fixed